VIPW(8)

NAVN
vipw, vigr - rediger adgangskoden, gruppe, shadow-adgangskode- eller shadow-gruppe-fil

SYNOPSIS

vipw [tilvalg]

vigr [tilvalg]

BESKRIVELSE

Kommandoerne vipw og vigr redigerer filerne /etc/passwd og /etc/group, respektivt. Med flaget -s vil de redigere versionerne for Shadow for disse filer, /etc/shadow og /etc/gshadow, respektivt. Programmerne vil sætte de passende låse for at forhindre filødelæggelse. Når der kigges efter et redigerngsprogram, så vil programmet øfrst forsøge med miljøvariablen $VISUAL, derefter miljøvariablen $EDITOR, og endelig standardredigeringsprogrammet, vi(1).

TILVALG

Tilvalgene som gælder for kommandoerne vipw og vigr er:

-g, --group
    Rediger gruppedatabase.

-h, --help
    Vis hjælpeteksten og afslut.

-p, --passwd
    Rediger passwd-database.

-q, --quiet
    Stille tilstand.

-R, --rootCHROOT_DIR
    Brug ændringer i mappen CHROOT_DIR og brug konfigurationsfilerne fra mappen CHROOT_DIR.

-s, --shadow
    Rediger shadow- eller gshadow-database.

MILJØ

VISUEL
    Redigeringsprogram der skal bruges.

REDIGERINGSPROGRAM
    Redigeringsprogram der skal bruges hvis VISUAL ikke er angivet.

FILER

/etc/group
    Information om gruppekonto.

/etc/gshadow
    Information om sikret gruppekonto.

/etc/passwd
    Information om brugerkonto.

/etc/shadow
    Information om sikret brugerkonto.

SE OGSÅ

vi(1), gruppe(5), gshadow(5), passwd(5), , shadow(5).